#!/bin/bash

#
# verbParallelEnvSetupFailure.sh
#
#   Memorizza nel file di output per la modalita' verbose
#   il fallimento del setup dell'ambiente necessario
#   alla esecuzione parallela dei job che realizzano
#   la simulazione
#

# 
# Parametri
#
# <verbose>
#   i valori ammessi per il parametro sono 0 o 1.
#   Se 1 attiva la modalita' verbose di esecuzione dello script 
# <callingScript>
#   nome dello script chiamante
# <verbOutputFileRelativePath>
#   path relativo alla directory g4cParallelSimulation del file
#   di output per la modalita' verbose
#

# Estrae i parametri dello script dalla sua chiamata
verbose=$1
callingScript=$2
verbOutputFileRelativePath=$3

# Esce se la modalita' verbose non e' stata attivata
if test $verbose -eq 0
then
   exit 0
fi

# Verbose modality
#   Memorizza nel file di output per la modalita' verbose il nome del
#   chiamante seguito dal fallimento del setup dell'ambiente necessario
#   alla esecuzione parallela dei job che realizzano
#   la simulazione
cat << EOF >> $verbOutputFileRelativePath
Setup dell'ambiente necessario alla esecuzione
parallela dei job che realizzano la simulazione
fallita
	
EOF

exit 0

